Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Connector Class Reference

`#include <Transport.h>`

Inheritance diagram for TAO_AV_Connector:

[legend]
List of all members.

## Public Methods
| TAO_AV_Connector (void)
virtual | ~TAO_AV_Connector (void)
const char * | flowname (void)
virtual int | open (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_AV_Flow_Protocol_Factory *factory)=0
virtual int | connect (TAO_FlowSpec_Entry *entry, TAO_AV_Transport *&transport, TAO_AV_Core::Flow_Component flow_component)=0
virtual int | close (void)=0
## Protected Attributes
ACE_CString | flowname_

## Constructor & Destructor Documentation

TAO_AV_Connector::TAO_AV_Connector | ( | void |  | ) |

TAO_AV_Connector::~TAO_AV_Connector | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_AV_Connector::close | ( | void |  | ) | `[pure virtual]`

| Implemented in TAO_AV_SCTP_SEQ_Connector, TAO_AV_TCP_Connector, and TAO_AV_UDP_Connector.

virtual int TAO_AV_Connector::connect | ( | TAO_FlowSpec_Entry * | entry,
|  | TAO_AV_Transport *& | transport,
|  | TAO_AV_Core::Flow_Component | flow_component
| ) | `[pure virtual]`

| Implemented in TAO_AV_SCTP_SEQ_Connector, TAO_AV_TCP_Connector, and TAO_AV_UDP_Connector.

ACE_INLINE const char * TAO_AV_Connector::flowname | ( | void |  | ) |

virtual int TAO_AV_Connector::open | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_AV_Flow_Protocol_Factory * | factory
| ) | `[pure virtual]`

| Implemented in TAO_AV_SCTP_SEQ_Connector, TAO_AV_TCP_Connector, and TAO_AV_UDP_Connector.

## Member Data Documentation

ACE_CString TAO_AV_Connector::flowname_`[protected]`

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp
- Transport.i